Get audit log
GET
/partners/invoices/{uuid}/audit-logReturns the audit history for an invoice, estimate, or credit memo.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe UUID of the invoice.
Responses
200Audit log entries for the invoice.404Invoice not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootGET
https://api.getcount.com/partners/invoices/{uuid}/audit-logRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'GET';
const signingPath = '/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/audit-log';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/audit-log`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"data": {
"auditLog": [
{
"action": "created",
"timestamp": "2026-03-01T09:00:00.000Z",
"userId": null
},
{
"action": "approved",
"timestamp": "2026-03-01T10:00:00.000Z",
"userId": null
}
]
}
}